<?php
$obj_tab_collect=new cls_tab_hr_resume_collect();


if(isset($get_act)&&$get_act=="del"&&isset($get_id)&&$get_id>0){
	$arr_msg=$obj_tab_collect->on_del($get_id);
	if($arr_msg["err"]!="")
	{
		$obj_msg->alert($arr_msg["err"]);
	}
}
if(isset($get_act)&&$get_act=="del_s"&&isset($get_collectids)){
	$arr_msg=$obj_tab_collect->on_del($get_collectids);
	if($arr_msg["err"]!="")
	{
		$obj_msg->alert($arr_msg["err"]);
	}
}
$str_where=" where collect_user_id='".$obj_ctl_user->id."'";
$arr_collect=array();
$arr_user_id=array();
$obj_result = $obj_db->query("SELECT * FROM ".DB_PRE."hr_resume_collect".$str_where);
while($obj_rs = $obj_db->fetch_array($obj_result))
{
	$obj_rs["collect_addtime"]=format_date($obj_rs["collect_addtime"]);
	$arr_user_id[]=$obj_rs["collect_resume_user_id"];
	$arr_collect[]=$obj_rs;
}
if(count($arr_user_id)>0){
	$str_user_ids=implode(",",$arr_user_id);
	$obj_result = $obj_db->query("SELECT resume_name,resume_birthday,resume_sex,resume_user_id,resume_id FROM ".DB_PRE."hr_resume where resume_user_id in(".$str_user_ids.")");
	while($obj_rs = $obj_db->fetch_array($obj_result))
	{
		$obj_rs["age"]="";
		$lng_year_now=format_date(TIME,"Y");
		$lng_year=format_date($obj_rs["resume_birthday"],"Y");
		if($lng_year>0) $obj_rs["age"]=$lng_year_now-$lng_year;
		$arr_resume["id_".$obj_rs["resume_user_id"]]=$obj_rs;
	}
}


?>